using Infragistics.Win.UltraWinGanttView;
using Infragistics.Win.UltraWinSchedule;

namespace KB9221_WinFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGanttView1.CalendarInfo = ultraCalendarInfo1;
            ultraGanttView1.GridAreaWidth = 100;

            ultraGanttView1.EnsureDateTimeVisible(new DateTime(2022, 4, 24));
            ultraGanttView1.TimelineSettings.PrimaryInterval = new DateInterval() {
                Interval = 1,
                IntervalUnits = DateIntervalUnits.Days,
                HeaderTextFormat = "ddd"
            };
            ultraGanttView1.TimelineSettings.AdditionalIntervals.Clear();
            ultraGanttView1.TimelineSettings.AdditionalIntervals.Add(new DateInterval()
            {
                Interval = 1,
                IntervalUnits = DateIntervalUnits.Days,
                HeaderTextFormat = "dd"
            });

            CalendarDateSettings dateSettings;

            // a̓
            dateSettings = new CalendarDateSettings(new DateTime(2022, 4, 29));
            dateSettings.IsWorkDay = Infragistics.Win.DefaultableBoolean.False;
            ultraCalendarInfo1.DateSettings.Add(dateSettings);

            // @LO
            dateSettings = new CalendarDateSettings(new DateTime(2022, 5, 3));
            dateSettings.IsWorkDay = Infragistics.Win.DefaultableBoolean.False;
            ultraCalendarInfo1.DateSettings.Add(dateSettings);

            // ݂ǂ̓
            dateSettings = new CalendarDateSettings(new DateTime(2022, 5, 4));
            dateSettings.IsWorkDay = Infragistics.Win.DefaultableBoolean.False;
            ultraCalendarInfo1.DateSettings.Add(dateSettings);

            // ǂ̓
            dateSettings = new CalendarDateSettings(new DateTime(2022, 5, 5));
            dateSettings.IsWorkDay = Infragistics.Win.DefaultableBoolean.False;
            ultraCalendarInfo1.DateSettings.Add(dateSettings);

            // Ǝ̋x@
            dateSettings = new CalendarDateSettings(new DateTime(2022, 5, 2));
            dateSettings.IsWorkDay = Infragistics.Win.DefaultableBoolean.False;
            ultraCalendarInfo1.DateSettings.Add(dateSettings);

            // Ǝ̋xA
            dateSettings = new CalendarDateSettings(new DateTime(2022, 5, 6));
            dateSettings.IsWorkDay = Infragistics.Win.DefaultableBoolean.False;
            ultraCalendarInfo1.DateSettings.Add(dateSettings);

            // Ǝ̋x@̐U֏oΓ
            dateSettings = new CalendarDateSettings(new DateTime(2022, 5, 14));
            dateSettings.IsWorkDay = Infragistics.Win.DefaultableBoolean.True;
            ultraCalendarInfo1.DateSettings.Add(dateSettings);
        }
    }
}